<?php
/**
 * @package Tabapapo Component for Joomla! 4.x
 * @version 0.9.3
 * @author Jonatas C. Ferreira
 * @copyright (C) 2021 Tabaoca.org
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;

/**
 * Script file of Tabapapo component.
 *
 * The name of this class is dependent on the component being installed.
 * The class name should have the component's name, directly followed by
 * the text InstallerScript (ex:. com_helloWorldInstallerScript).
 *
 * This class will be called by Joomla!'s installer, if specified in your component's
 * manifest file, and is used for custom automation actions in its installation process.
 *
 * In order to use this automation script, you should reference it in your component's
 * manifest file as follows:
 * <scriptfile>script.php</scriptfile>
 *
 * @package     Joomla.Administrator
 * @subpackage  com_tabapapo
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
class com_tabapapoInstallerScript {

    /**
     * This method is called after a component is installed.
     *
     * @param  \stdClass $parent - Parent object calling this method.
     *
     * @return void
     */

    public function install($parent) {
        
        $parent->getParent()->setRedirectURL('index.php?option=com_tabapapo&view=tabapapo');
    
    }

    /**
     * This method is called after a component is uninstalled.
     *
     * @param  \stdClass $parent - Parent object calling this method.
     *
     * @return void
     */
    
    public function uninstall($parent) {
        
        //echo '<p>' . JText::_('COM_TABAPAPO_UNINSTALL_TEXT') . '</p>';
    
    }

    /**
     * This method is called after a component is updated.
     *
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
    
    public function update($parent) {

        //echo '<p>' . JText::sprintf('COM_TABAPAPO_UPDATE_TEXT', $parent->get('manifest')->version) . '</p>';

    }

    /**
     * Runs just before any installation action is performed on the component.
     * Verifications and pre-requisites should run in this function.
     *
     * @param  string    $type   - Type of PreFlight action. Possible values are:
     *                           - * install
     *                           - * update
     *                           - * discover_install
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
    
    public function preflight($type, $parent) {

        //echo '<p>' . JText::_('COM_TABAPAPO_PREFLIGHT_' . $type . '_TEXT') . '</p>';

    }

    /**
     * Runs right after any installation action is performed on the component.
     *
     * @param  string    $type   - Type of PostFlight action. Possible values are:
     *                           - * install
     *                           - * update
     *                           - * discover_install
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
	
	public function postflight($type, $parent) {

		$app = JFactory::getApplication(); 
		
		if ($type=='install') {
			
			$app->enqueueMessage(JText::_('COM_TABAPAPO_POSTFLIGHT_' . $type . '_TEXT'), 'info');
		
		} 
		
	}
	

    
}
